@font-face {
	font-family:"bakery-font-BM";
	src:url(fonts/BwModelica-Medium.otf);
}

@font-face {
	font-family:"bakery-font-Blah";
	src:url(fonts/Blah!.ttf);
}

@font-face {
	font-family:"bakery-font-B";
	src:url(fonts/bakery.ttf);
}

@font-face {
	font-family:"bakery-font-BR";
	src:url(fonts/BakeryRoastDemoRegular.ttf);
}

* {
	box-sizing: border-box;
}


html,
body {
	font-family: bakery-font-BM;
	background: #f0d1a0;;
	scroll-behavior: smooth;
}

section {
	background: #f6f6f6;
	color:#422308;
	width: calc(100% - 80px);
	height: calc(100% - 80px);
	min-height: calc(100vh - 80px);
	position: relative;
	margin: 40px auto;
	overflow: hidden;
}

/*Space near the bakery name*/
.side {
	position: absolute;
	height: 100%;
	padding: 40px 25px;
}

/*Jing's bakery*/
.side h2 {
	writing-mode: vertical-rl;
	text-orientation: mixed;
	transform: rotate(180deg);
	font-family: "bakery-font-B";
	font-size: 40px;
	font-weight: 500;
}

/*Homwpage Right part*/
.content {
	position: absolute;
	width: calc(100% - 90px);
	height: 100%;
	right: 0;
	display: flex;
	flex-direction: column;
	justify-content: space-around;
}

/* Let's get it & Rolling & Cake Roll Ingredients*/
section h1 {
	font-size: 60px;
	line-height: 110%;
}

/* Prepare Ingredients button*/
.highlight-button:hover{
	background: #d8c4aa;
}


/* Prepare Ingredients */
.content span{
	letter-spacing: 1px;
	font-size: 24px;
	font-weight: 400;
}

/* Two hyperlink without Underline */
.content span a,
#recipe span a {
	color:#6d3200;
	font-style: italic;
	text-decoration: none;
}

/* Cake Roll Picture */
.content figure {
	width: 100%;
	height: 60%;
}

/* To make the picture strength enough */
#cover .content figure img {
	object-fit: cover;
	width: 100%;
	height: 100%;
	display: block;
}


/* _______________ */
/* Ingredient Page */
#recipe {
	background: #f6f6f6;
	color:#6d3200;
	font-family: bakery-font-BM;
	font-size: 18px;
	line-height: 170%;
	padding: 80px;
}

/* Cake Roll Ingredients */
#recipe h1 {
	color:#422308;
	font-family:bakery-font-BR;
	padding-bottom: 60px;
}

#recipe span {
	letter-spacing: 1px;
	font-size: 24px;
	font-weight: 400;
	display: flex;
	flex: 2;
	align-items: center;
}

/* Three class for the link */
.next_section{
	height:60px;
}

.finishing_button{
	font-size: large;
}

.finishing_button:hover{
  background:#d8c4aa;;
}
/* Three class for the link - end */

.recipe-content {
	display: flex;
}

.recipe-content > div {
	width: 50%;
}

.recipe-content > div > h2 {
	font-weight: 900;
	margin: 30px;
	font-size: revert;

	display:flex;
	justify-content:center;	
}

.ingredients {
	margin-bottom: 10px;
}

.recipe_details{
	background-color: #422308;
	color: white;
}

.recipe_details ul li {
	padding: 15px 0;
	margin: 0 auto 20px auto;

	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.recipe_details ul li span{
	font-size: 16px;
	font-weight: 700;
	text-transform: uppercase;
}

section#recipe .recipe-content .left-list {
	margin-right:30px;
	display: flex;
	flex-direction: column;
	background-color: #d8c4aa;
}

section#recipe .recipe-content .right-list {
	margin-left:30px;
	display: flex;
	flex-direction: column;
	background-color: #d8c4aa;
}

.container {
	display: block;
	position: relative;
	padding-left: 15px;
	margin-bottom: 15px;
	cursor: pointer;
}

/* MEDIA QUERIES */

@media screen and (max-width: 768px) {
	section {
		width: calc(100% - 48px);
		height: calc(100% - 48px);
		min-height: calc(100vh - 48px);
		margin: 24px auto;
	}

	#recipe {
		padding: 50px 40px;
	}

	.content {
		width: calc(100% - 80px);
	}

	.side {
		padding: 70px 25px;
	}
	

	section h1 {
		font-size: 40px;
	}

	.content span{
		display: flex;
		justify-content: flex-start;
		padding: 0px;
		font-size: 20px;
	}

	#recipe h1 {
		padding: 0 0 30px 0;
	}

	#recipe span a {
		font-size: 20px;
	}

	.recipe-content {
		width: 100%;
		margin-top: 20px;

		display: flex;
		flex-direction: column;
		flex-wrap: wrap;
		justify-content: flex-start;
	}

	.recipe-content > div {
		width: 100%;
	}

	.recipe-content .left-list {
		padding-bottom: 0px;
	}

	section#recipe .recipe-content .right-list {
		margin:0px;
		padding-top: 0px;
	}

	.recipe_details ul li {
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;

		min-width: 50%;
		padding: 20px;
	}
}